Skip to content

List all brands

Request

Retrieves all brands for the workspace, including the default brand. The default brand id always matches the workspace id.

Requires the read_brands OAuth scope.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X GET \
  https://api.intercom.io/brands \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

Successful response

Bodyapplication/json
typestring

The type of object

Example:"list"
dataArray of objects(Brand)
Response
{ "type": "list", "data": [ { … }, { … } ] }